<?php

/**
 * @file
 * Views related hooks for views_csv_source.
 */

/**
 * Implements hook_views_data().
 */
function views_csv_source_views_data() {
  $data = [];
  $data['csv']['table']['group'] = t('CSV');

  $data['csv']['table']['base'] = [
    'title' => t('CSV'),
    'help' => t('Queries a CSV file.'),
    'query_id' => 'views_csv_source_query',
  ];

  $data['csv']['value'] = [
    'title' => t('CSV Field'),
    'help' => t('Name of the column in the CSV.'),
    'field' => [
      'id' => 'views_csv_source_field',
    ],
    'sort' => [
      'id' => 'views_csv_source_sort',
    ],
    'filter' => [
      'id' => 'views_csv_source_filter',
    ],
    'argument' => [
      'id' => 'views_csv_source_argument',
    ],
  ];

  // Contextual filter required to replace the "%" placeholder in the url.
  $data['csv']['param'] = [
    'title' => t('URL Parameter.'),
    'help' => t('Replacement for placeholder in URL.'),
    'argument' => [
      'id' => 'views_csv_source_uri_param',
    ],
  ];

  return $data;
}
